<!-- <mat-sidenav-container class="sidenav-container"> -->
  <!-- <mat-sidenav #drawer class="sidenav" fixedInViewport
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item [routerLink]="['./activity']" routerLinkActive="router-link-active">Activity List</a>
      <a mat-list-item [routerLink]="['./enrolled']">Enrolled</a>
      <div style=" margin-left: 15px;">
          <button mat-flat-button color="warn" [routerLink]="['/login']">Log out</button>
      </div>
    </mat-nav-list>
  </mat-sidenav> -->


  <mat-toolbar >
    <mat-toolbar-row>
        <button mat-icon-button (click)="sidenav.toggle()" fxShow="true" fxHide.gt-sm>
              <mat-icon>menu</mat-icon>
            </button>
        <span>Student</span>
        <span class="menu-spacer"></span>
        <div class="menuList" fxShow="true" fxHide.lt-md>
            <!-- The following menu items will be hidden on both SM and XS screen sizes -->
            <a [routerLink]="['./activity']" routerLinkActive="router-link-active" mat-button>Activity</a>
            <a [routerLink]="['./profile/5']" routerLinkActive="router-link-active" mat-button>Edit Profile</a>
            <a [routerLink]="['./enrolled']" routerLinkActive="router-link-active" mat-button>Enroll</a>
        </div>
        <div>
            
            <button mat-flat-button class="btn logoutBtn" color="warn" [routerLink]="['/login']">Log out</button>
        </div>
    </mat-toolbar-row>
</mat-toolbar>

<mat-sidenav-container fxFlexFill>
    <mat-sidenav #sidenav>
        <mat-nav-list>
            <a style="margin-left: 200px;"></a>
            <a [routerLink]="['./activitylist']" routerLinkActive="router-link-active" mat-list-item>Activity       </a>
            <a [routerLink]="['./studentlist']" routerLinkActive="router-link-active" mat-list-item>Student</a>
            <a [routerLink]="['./pendinglist']" routerLinkActive="router-link-active" mat-list-item>Pending</a>
            <a class="btmBtn" (click)="sidenav.toggle()" mat-list-item>Close</a>
        </mat-nav-list>
    </mat-sidenav>
    <mat-sidenav-content fxFlexFill>
        <router-outlet></router-outlet>
    </mat-sidenav-content>
</mat-sidenav-container>